/**
 * This file adds LIVE to the Theme Customizer live preview.
 */
	( function( $ ) {
/**
 * [Updates Textual values in real time]
 * @param  {[values]} value [description]
 * @return {[target]}       [description]
 */
		function aemon_live_text( liveval, target ) {
			wp.customize( liveval, function( value ) {
				value.bind( function( newval ) {
					$( target ).html( newval );
				} );
			} );
		}

/**
 * [Updates Images in real time (About section)]
 * @param  {[values]} value [description]
 * @return {[target]}       [description]
 */
		function aemon_live_image_about( liveval, target, target_id) {
			wp.customize( liveval, function( value ) {
				value.bind( function( newval ) {
					if (newval!='') {
						$( target_id ).removeClass( 'award friendly time cost' );
						$( target ).attr( 'src', newval );
					} else {
							$( target_id ).addClass($(target_id).data('class') );
							$( target ).removeAttr( 'src' );
					}
				} );
			} );
		}

/**
 * [Updates Images in real time (About section)]
 * @param  {[values]} value [description]
 * @return {[target]}       [description]
 */
		function aemon_live_image_sucs( liveval, target) {
			wp.customize( liveval, function( value ) {
				value.bind( function( newval ) {
					if (newval!='') {
						$( target ).removeClass( 'design hours webs clients' );
						$( target ).attr( 'src', newval );
					}
				else {
						$( target ).addClass($(target).data('class') );
						$( target ).removeAttr( 'src' );
					}
				});
			});
		}

// /**
//  * [Updates Custom datatype in real time]
//  * @param  {[values]} value [description]
//  * @return {[target]}       [description]
//  */
// 		function aemon_live_custom( liveval, target ) {
// 			wp.customize( liveval, function( value ) {
// 				value.bind( function( newval ) {
// 				$( target ).attr( 'data-to', newval );
// 				} );
// 			} );
// 		}

/**
 * [Updates links in real time]
 * @return {[target]}       [description]
 */
		function aemon_live_link( liveval, target ) {
			wp.customize( liveval, function( value ) {
				value.bind( function( newval ) {
										console.log(newval);
				$( target ).attr( 'href', newval );
				} );
			} );
		}

/**
 * [Updates Images in real time]
 * @return {[target]}       [description]
 */
		function aemon_live_image( liveval, target ) {
			wp.customize( liveval, function( value ) {
				value.bind( function( newval ) {
				$( target ).attr( 'src', newval );
				} );
			} );
		}


/**
 * [Changing AboutUs section values]
 */

	//Textual values
	aemon_live_text('aemon_theme_about_heading_1','.about_top_h1');
	aemon_live_text('aemon_theme_about_heading_2','.about_top_h2');
	for (var i = 1; i < 5; i++) {
		aemon_live_text('aemon_theme_aboutus_heading_'+i,'.aboutus_h'+i);
		aemon_live_text('aemon_theme_aboutus_textarea_'+i,'.aboutus_disc'+i);
	}

	//Images
	for (var i = 1; i < 5; i++) {
		aemon_live_image_about('aemon_theme_aboutus_image_'+i,'.aboutus_img_'+i,'#aemon_aboutus_id_'+i);
	}


/**
 * [Changing Success section values]
 */

	//Textual and Numaric values
 for (var i = 1; i < 5; i++) {
	//  aemon_live_text('aemon_theme_seccuss_numbers_'+i,'.success_num_'+i);
	 aemon_live_text('aemon_theme_seccuss_heading_'+i,'.success_h'+i);
 }

 // //Custom datatype values
 // for (var i = 1; i < 5; i++) {
 // aemon_live_custom('aemon_theme_seccuss_numbers_'+i,'.success_count_'+i);
 // }

 //Images
 for (var i = 1; i < 5; i++) {
  aemon_live_image_sucs('aemon_theme_success_image_'+i,'.aemon_service_img_'+i);
 }


 /**
  * [Changing Services section values]
  */

 	//Textual values
	aemon_live_text('aemon_theme_service_head_1','.aemon_services_top_h1');
	aemon_live_text('aemon_theme_service_head_2','.aemon_services_top_h2');
  for (var i = 1; i < 7; i++) {
 		aemon_live_text('aemon_theme_service_heading_'+i,'.aemon_services_h'+i);
 		aemon_live_text('aemon_theme_service_detail_'+i,'.aemon_services_disc'+i);
  }

	//Images
	//______


	/**
   * [Changing GetinTouch section values]
   */

  //Textual and Numaric values
  for (var i = 1; i < 3; i++) {
		aemon_live_text('aemon_theme_touch_number_'+i,'.aemon_git_num_'+i);
  }
	aemon_live_text('aemon_theme_touch_number_3','.smallTxt2');
	aemon_live_text('aemon_theme_touch_number_4','.phoneNumber');
	aemon_live_text('aemon_theme_touch_number_5','.yellowBox a')

	/**
	 * [Changing Pricing section values]
	 */

	//Textual and Numaric values
	aemon_live_text('aemon_theme_offer_head_1','.aemon_price_h1');
	aemon_live_text('aemon_theme_offer_head_2','.aemon_price_h2');
	for (var i = 1; i < 5; i++) {
		aemon_live_text('aemon_theme_offer_name_'+i,'.aemon_theme_nam_'+i);
		aemon_live_text('aemon_theme_offer_price_'+i,'.aemon_theme_pric_'+i);
		aemon_live_text('aemon_theme_offer_detail_'+i,'.aemon_theme_disc_'+i);
		aemon_live_text('aemon_theme_offer_btntxt_'+i,'.aemon_theme_li_'+i+' a');
	}

	/**
	 * [Changing ContactUs section values]
	 */

	//Textual and Numaric values
	for (var i = 1; i < 5; i++) {
		aemon_live_text('aemon_theme_contact_setting_'+i,'.aemon_contact_'+i);
	}
	aemon_live_text('aemon_theme_contact_setting_5','.contact_address a');
	aemon_live_link('aemon_theme_contact_setting_5','.contact_address a');

	/**
	 * [Changing Team section values]
	 */

	//Textual and Numaric values
	for (var i = 1; i < 3; i++) {
		aemon_live_text('aemon_theme_team_heading_'+i,'.aemon_team_h'+i);
	}
	// for (var i = 1; i <= aemon_live.team_img_count; i++) {
	// 	aemon_live_text('aemon_theme_member_name_'+i,'.aemon_team_nam'+i);
	// 	aemon_live_text('aemon_theme_member_designation_'+i,'.aemon_team_desg'+i);
	// 	aemon_live_text('aemon_theme_member_detail_'+i,'.aemon_team_disc'+i);
	// }
	// //Images
	// for (var i = 1; i <= aemon_live.team_img_count; i++) {
	// 	aemon_live_image('aemon_theme_member_image'+i,'.aemon_team_img_'+i);
	// }

} )( jQuery );
