<?php
/**
 * Template shows posts on blog section in home page.
 *
 * @package Aemon
 * @since 1.0
 */
?>

<?php
	the_title('<h1 class="page-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h1>');
	aemon_post_meta_author();
	aemon_post_meta_date();
?>
	<div class="single-thumbnail">
		<img src="<?php echo esc_url( the_post_thumbnail_url() ); ?>" alt="">
	</div>

	<div class="main-content">
	<?php the_excerpt(); ?>
	</div>

	<span class="post-comment"><i class="fa fa-comments" aria-hidden="true"></i>
	<?php aemon_post_comment_count(); ?>
	</span>
	<?php aemon_read_more_link(); ?>
