<?php
/**
 * Template for header.
 *
 * @package Aemon
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="utf-8">
        <title><?php wp_title( ' ', true, 'right' ); ?></title>
        <?php wp_head(); ?>
    </head>
<body id="home" <?php body_class(); ?>>
  <?php
    if ( ! is_front_page() ) : ?>
    <div class="navContainer">
    	<div class="mainPrimNav">
    	<?php
    	wp_nav_menu( array(
    		'theme_location' => 'subpage-menu',
    		'menu_class' => 'nav navbar-nav navbar-right sf-menu sf-js-enabled sf-shadow',
    		'menu_id' => 'aemon_menu',
    		'container' => '',
    	) );
    		?>
    	</div>
    </div>
<?php endif; ?>
