<?php
/**
 * Template for searched results.
 *
 * @package Aemon
 */

get_header();
?>

<?php
if ( true === get_theme_mod( 'aemon_theme_search_sidebar', true ) ) {
	$aemonSearchDisplay = 'g-wide--3';
}
else {
	$aemonSearchDisplay = 'g-medium--full g-wide--full';
}
?>
<div <?php post_class('container'); ?> id="post-<?php the_ID(); ?>">
	<div class="<?php echo $aemonSearchDisplay; ?>">
		<h2><?php sprintf( esc_html__( 'Search Results for: %s', 'aemon' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
		<?php
		if ( have_posts() ) :
			while ( have_posts() ) : the_post();
			get_template_part( 'template/content', 'blog' );
			endwhile;
			// Display Pagination.
			aemon_pagination();
		else :
			get_template_part( 'template/search', 'none' );
		endif; ?>
		</div> <!--  .left-section -->
	<?php if ( true === get_theme_mod( 'aemon_theme_search_sidebar', true ) ) :?>
		<div class="aemon-sidebar g-wide--1 g-wide--last">
		<?php dynamic_sidebar('sidebar-widget-area'); ?>
		</div>
	<?php endif; ?>
	<div class="clear"></div>
</div>

<?php get_footer(); ?>
